Com.tools.fd.runtime.BootstrapApplication wird nicht ausgeführt, es sei denn, Sie aktualisieren Google Play-Dienste

Ich versuche, einen Knopf zu machen (in meinem Fall, ImageButton), der den Standort des Benutzers auf der Google Map ausstellt. Ich habe das so weit gemacht und wenn ich den Button im Applikationssimulator drücke; "Com.tools.fd.runtime.BootstrapApplication wird nicht ausgeführt, es sei denn, Sie aktualisieren Google Play-Dienste". Hier ist mein Code:

Built.gradle

  • OnUpgrade Datenbank - oldVersion - newVersion
  • Android: Zufällige Nummer aus der JNI-Methode
  • Best Practices für die Behandlung von UI-Veranstaltungen
  • Android: Bestimmen Sie die Sicherheitstypen von Wifi-Netzwerken in Reichweite (ohne Verbindung zu ihnen)
  • DatePickerDialog fälschlicherweise ein Mindestdatum vom 1. Januar 1970 erzwingt
  • Android: Einstellungsfenster Hintergrund auf gestartete Aktivität
  • apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion "25.0.0" defaultConfig { applicationId "com.example.konarx.a11042016" minSdkVersion 14 targetSdkVersion 23 versionCode 1 versionName "1.0" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:appcompat-v7:23.4.0' compile 'com.google.android.gms:play-services:9.8.0' testCompile 'junit:junit:4.12' compile 'com.google.android.gms:play-services-maps:9.8.0' } 

    MapsActivity.class

     package com.example.konarx.a11042016; import android.os.Bundle; import com.google.android.gms.maps.CameraUpdateFactory; import com.google.android.gms.maps.GoogleMap; import com.google.android.gms.maps.OnMapReadyCallback; import com.google.android.gms.maps.SupportMapFragment; import com.google.android.gms.maps.model.LatLng; import com.google.android.gms.maps.model.MarkerOptions; public class MapsActivity extends MainScreen implements OnMapReadyCallback { private GoogleMap mMap; @Override protected void onCreate(Bundle savedInstanceState) { super.onCreate(savedInstanceState); setContentView(R.layout.activity_maps); SupportMapFragment mapFragment = (SupportMapFragment) getSupportFragmentManager() .findFragmentById(R.id.map); mapFragment.getMapAsync(this); } @Override public void onMapReady(GoogleMap googleMap) { mMap = googleMap; LatLng sydney = new LatLng(-34, 151); mMap.addMarker(new MarkerOptions().position(sydney).title("Marker in Sydney")); mMap.moveCamera(CameraUpdateFactory.newLatLng(sydney)); } } 

  • Wie man Web Api in xamarin CrossPlatform Anwendung verbrauchen
  • DialogFragment in Android mit Thema
  • Wenn Sie auf eine Schaltfläche klicken, drehen Sie das Bild im Uhrzeigersinn in android
  • Hinzufügen Such-Toolbar über Google Map wie in native Android-App
  • Auto-Inkrement-Versionscode in der Android-App
  • Wie kann man die Vorderseite von allem sehen?
  • 2 Solutions collect form web for “Com.tools.fd.runtime.BootstrapApplication wird nicht ausgeführt, es sei denn, Sie aktualisieren Google Play-Dienste”

    Ich habe gerade das gleiche Problem.

    In Ihrem build.gradle, Downgrade der Version der Play-Dienste auf 9.6.0

     dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', { exclude group: 'com.android.support', module: 'support-annotations' }) compile 'com.android.support:appcompat-v7:25.0.0' compile 'com.google.android.gms:play-services:9.6.0' testCompile 'junit:junit:4.12' } 

    Ich benutzte Nougat (API 25), als mir das passierte. Mit einem anderen API-Paket (ich landete mit Marshmallow API 23 auf einem neuen Emulator) behielt es für mich. Ich verwendete Playdienste Version 10.0.1 in meinem Projekt, und das Downgrade meiner Play-Services-Version war keine Option, da Firebase 10.0.1 benötigte.

    Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.